PROG=libfoo.la
SOURCES=foo.cpp
OBJS=foo.lo
top_builddir=@top_builddir@
LIBTOOL=@LIBTOOL@
CXX=@CXX@
CC=@CC@
INSTALL=@INSTALL@
PREFIX=@prefix@
INCLUDES=-I.
LD_FLAGS=


%.lo:	%.cpp
	$(LIBTOOL) $(CXX) -c $(INCLUDES) $<

%.lo:	%.cc
	$(LIBTOOL) $(CXX) -c $(INCLUDES) $<

$(PROG): $(OBJS)
	$(LIBTOOL) $(CXX) -o $(PROG) $(OBJS) -rpath $(PREFIX)/lib $(LD_FLAGS) 

install:
	$(LIBTOOL) $(INSTALL) -m 755 $(PROG) $(PREFIX)/lib

clean:
	rm -rf .libs *.o *.lo $(PROG)

distclean: clean
	rm -f Makefile config.cache config.log config.status

distclean: clean
	rm -f Makefile config.cache config.log config.status
